GUI for several GRASS modules wrong

2010-03-21 11:09 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 12638

Description

The GUI for several GRASS modules is wrong: in the qgm file instead of option is chosen, therefore a browse button appears, which has

no meaning in this context.

Examples of affected modules are: r.patch, v.patch, r.series, g.region.multiple.raster, g.region.multiple.vector

This is due to the apparent impossibility to concatenate more than one layer in commands. Adding support to this would possibly solve

also the v.to.db problem with multiple concatenated columns. See also #1627

History

#1 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-15 08:03 AM - Radim Blazek

- File module-input-multiple.png added

Multiple map input is supported since 2.12.

#7 - 2015-12-15 08:04 AM - Radim Blazek

- Status changed from Open to Closed
